"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _colors = require("../../styles/colors");
var _constants = require("../../constants");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const CheckBox = ({
  label,
  value,
  disabled,
  primaryColor,
  checkboxControls,
  onChange
}) => {
  const {
    checkboxSize,
    checkboxComponent,
    checkboxDisabledStyle,
    checkboxStyle,
    checkboxUnselectedColor,
    checkboxLabelStyle
  } = checkboxControls ?? {};
  const fillColor = {
    backgroundColor: disabled ? checkboxDisabledStyle?.backgroundColor || _colors.colors.disabled : value ? checkboxStyle?.backgroundColor || primaryColor : checkboxUnselectedColor || 'white',
    borderColor: disabled ? checkboxDisabledStyle?.borderColor || _colors.colors.disabled : checkboxStyle?.borderColor || styles.checkbox.borderColor
  };
  label = typeof label === 'object' ? label : String(label);
  return /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: onChange ? () => onChange(!value) : null,
    style: [styles.checkboxContainer],
    disabled: disabled,
    "aria-label": typeof label === 'string' ? label : ''
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.checkbox, checkboxStyle, fillColor],
    "aria-checked": value
  }, checkboxComponent || /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: require('../../asset/check.png'),
    style: [{
      height: checkboxSize || _constants.CHECKBOX_SIZE,
      width: checkboxSize || _constants.CHECKBOX_SIZE
    }]
  })), label && label !== '' && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [checkboxLabelStyle, styles.labelStyle]
  }, label));
};
const styles = _reactNative.StyleSheet.create({
  checkboxContainer: {
    flexDirection: 'row',
    flexWrap: 'nowrap',
    alignItems: 'center'
  },
  checkbox: {
    padding: 4,
    borderWidth: 1,
    borderStyle: 'solid',
    borderRadius: 4,
    borderColor: 'black'
  },
  labelStyle: {
    marginLeft: 10
  }
});
var _default = exports.default = CheckBox;
//# sourceMappingURL=index.js.map