"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _colors = require("../../styles/colors");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); } /* eslint-disable react-native/no-inline-styles */
// In iOS, `SafeAreaView` does not automatically account on keyboard.
// Therefore, for iOS we need to wrap the content in `KeyboardAvoidingView`.
const ModalContentWrapper = ({
  children
}) => {
  return _reactNative.Platform.OS === 'ios' ? /*#__PURE__*/_react.default.createElement(_reactNative.KeyboardAvoidingView, {
    style: [{
      flex: 1
    }],
    behavior: "padding"
  }, children) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children);
};
const CustomModal = ({
  visible,
  modalControls,
  children,
  onRequestClose
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, _extends({
    visible: visible,
    testID: "react-native-input-select-modal",
    transparent: true,
    animationType: "fade"
  }, modalControls?.modalProps), /*#__PURE__*/_react.default.createElement(ModalContentWrapper, null, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onRequestClose,
    style: [styles.modalContainer, styles.modalBackgroundStyle, modalControls?.modalBackgroundStyle],
    "aria-label": "close modal"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
    accessible: false
  }, /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: [styles.modalOptionsContainer, modalControls?.modalOptionsContainerStyle],
    testID: "react-native-input-select-modal-body"
  }, children)))));
};
const styles = _reactNative.StyleSheet.create({
  modalContainer: {
    flex: 1,
    justifyContent: 'flex-end'
  },
  modalBackgroundStyle: {
    backgroundColor: 'rgba(0, 0, 0, 0.5)'
  },
  modalOptionsContainer: {
    maxHeight: '50%',
    backgroundColor: _colors.colors.white,
    borderTopLeftRadius: 16,
    borderTopRightRadius: 16,
    zIndex: 5
  }
});
var _default = exports.default = CustomModal;
//# sourceMappingURL=index.js.map