"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _colors = require("../../styles/colors");
var _input = require("../../styles/input");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const DropdownSelectedItemsView = ({
  placeholder,
  error,
  labelsOfSelectedItems,
  openModal,
  isMultiple,
  selectedItem,
  selectedItems,
  dropdownIcon,
  dropdownStyle,
  dropdownIconStyle,
  selectedItemStyle,
  placeholderStyle,
  multipleSelectedItemStyle,
  dropdownErrorStyle,
  primaryColor,
  disabled,
  setIndexOfSelectedItem
}) => {
  const openActions = label => {
    openModal();
    setIndexOfSelectedItem(label); // immediately scrolls to list item with the specified label when modal
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => openModal(),
    style: ({
      pressed
    }) => [pressed && {
      ..._input.inputStyles.inputFocusState,
      borderColor: primaryColor
    }, {
      ..._input.inputStyles.input,
      ...dropdownStyle
    }, error &&
    //this must be last
    error !== '' && !pressed && {
      ..._input.inputStyles.inputFocusErrorState,
      ...dropdownErrorStyle
    }],
    disabled: disabled,
    "aria-disabled": disabled,
    testID: "react-native-input-select-dropdown-input-container"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    horizontal: true,
    alwaysBounceHorizontal: true,
    showsHorizontalScrollIndicator: false
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.selectedItemsContainer,
    onStartShouldSetResponder: () => true
  }, isMultiple ? labelsOfSelectedItems?.map((label, i) => /*#__PURE__*/_react.default.createElement(DropdownContent, {
    onPress: () => openActions(label),
    key: `react-native-input-select-list-item-${Math.random()}-${i}`,
    style: [styles.selectedItems, {
      backgroundColor: primaryColor
    }, multipleSelectedItemStyle],
    label: label,
    disabled: disabled
  })) : /*#__PURE__*/_react.default.createElement(DropdownContent, {
    onPress: () => openActions(labelsOfSelectedItems),
    style: [styles.blackText, selectedItemStyle],
    label: labelsOfSelectedItems,
    disabled: disabled
  }), selectedItem === '' && selectedItems?.length === 0 && /*#__PURE__*/_react.default.createElement(DropdownContent, {
    onPress: () => openModal(),
    style: [styles.blackText, placeholderStyle],
    label: placeholder ?? 'Select an option',
    disabled: disabled
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.iconStyle, dropdownIconStyle]
  }, dropdownIcon || /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: require('../../asset/arrow-down.png')
  })));
};
const DropdownContent = ({
  onPress,
  style,
  label,
  ...rest
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, _extends({
    onPress: () => onPress()
  }, rest), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: style
  }, label));
};
const styles = _reactNative.StyleSheet.create({
  iconStyle: {
    position: 'absolute',
    right: 25,
    top: 25
  },
  selectedItemsContainer: {
    flexDirection: 'row',
    flexWrap: 'nowrap',
    alignItems: 'center'
  },
  selectedItems: {
    color: _colors.colors.white,
    paddingHorizontal: 10,
    paddingVertical: 5,
    borderRadius: 10,
    backgroundColor: _colors.colors.primary,
    marginRight: 10,
    overflow: 'hidden'
  },
  blackText: {
    color: _colors.colors.black
  }
});
var _default = exports.default = DropdownSelectedItemsView;
//# sourceMappingURL=DropdownSelectedItemsView.js.map