"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Input = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _input = require("../../styles/input");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const Input = ({
  placeholder,
  value,
  onChangeText,
  style,
  primaryColor,
  textInputContainerStyle,
  ...rest
}) => {
  const [isFocused, setFocus] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, textInputContainerStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({
    placeholder: placeholder,
    style: [_input.inputStyles.input, _reactNative.Platform.select({
      web: {
        outlineColor: primaryColor
      }
    }), isFocused && {
      borderColor: primaryColor
    }, style],
    onFocus: () => {
      setFocus(true);
    },
    onBlur: () => setFocus(false),
    value: value,
    onChangeText: onChangeText,
    returnKeyType: "search"
  }, rest)));
};
exports.Input = Input;
const styles = _reactNative.StyleSheet.create({
  container: {
    margin: 23
  }
});
var _default = exports.default = Input;
//# sourceMappingURL=index.js.map