"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useIndexOfSelectedItem = void 0;
var _react = require("react");
/**
 *
 * @description for scrollToIndex in Sectionlist and Flatlist
 */

const useIndexOfSelectedItem = ({
  options,
  optionLabel,
  isSectionList
}) => {
  const [listIndex, setListIndex] = (0, _react.useState)({
    itemIndex: -1,
    sectionIndex: -1
  });
  const setIndexOfSelectedItem = (0, _react.useCallback)(selectedLabel => {
    if (isSectionList) {
      options.forEach((section, sectionIndex) => {
        const itemIndex = section.data.findIndex(item => item[optionLabel] === selectedLabel);
        if (itemIndex !== -1) {
          setListIndex({
            sectionIndex,
            itemIndex
          });
        }
      });
    } else {
      const itemIndex = options.findIndex(item => item[optionLabel] === selectedLabel);
      if (itemIndex !== -1) {
        setListIndex({
          itemIndex
        });
      }
    }
  }, [options, optionLabel, isSectionList]);
  return {
    listIndex,
    setListIndex,
    setIndexOfSelectedItem
  };
};
exports.useIndexOfSelectedItem = useIndexOfSelectedItem;
//# sourceMappingURL=use-index-of-selected-item.js.map