"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeDisabledItems = exports.isSectionList = exports.getLabelsOfSelectedItems = exports.extractPropertyFromArray = exports.escapeRegExp = void 0;
const extractPropertyFromArray = (arr, property) => {
  let extractedValue = arr?.map(item => item[property]);
  return extractedValue;
};
exports.extractPropertyFromArray = extractPropertyFromArray;
const escapeRegExp = text => {
  return text.replace(/[.*+?^${}()|[\]\\]/g, '\\$&');
};
exports.escapeRegExp = escapeRegExp;
const removeDisabledItems = items => {
  return items?.filter(item => !item.disabled);
};
exports.removeDisabledItems = removeDisabledItems;
const isSectionList = options => {
  return options.some(item => item.title && item.data && Array.isArray(item.data));
};

/**
 *
 * @description get the labels of the items that were selected from the options array for either multiple or single selections
 * @returns
 */
exports.isSectionList = isSectionList;
const getLabelsOfSelectedItems = ({
  isMultiple,
  optionLabel,
  optionValue,
  selectedItem,
  selectedItems,
  modifiedOptions
}) => {
  // Multiple select
  if (isMultiple && Array.isArray(selectedItems)) {
    let selectedLabels = [];
    selectedItems?.forEach(element => {
      let selectedItemLabel = modifiedOptions?.find(item => item[optionValue] === element)?.[optionLabel];
      if (selectedItemLabel !== '') {
        selectedLabels.push(selectedItemLabel);
      }
    });
    return selectedLabels;
  }

  // Single select
  let selectedItemLabel = modifiedOptions?.find(item => item[optionValue] === selectedItem);
  return selectedItemLabel?.[optionLabel];
};
exports.getLabelsOfSelectedItems = getLabelsOfSelectedItems;
//# sourceMappingURL=index.js.map