function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
/* eslint-disable react-native/no-inline-styles */
import React from 'react';
import { KeyboardAvoidingView, Modal, Platform, SafeAreaView, StyleSheet, TouchableOpacity, TouchableWithoutFeedback } from 'react-native';
import { colors } from '../../styles/colors';
// In iOS, `SafeAreaView` does not automatically account on keyboard.
// Therefore, for iOS we need to wrap the content in `KeyboardAvoidingView`.
const ModalContentWrapper = ({
  children
}) => {
  return Platform.OS === 'ios' ? /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    style: [{
      flex: 1
    }],
    behavior: "padding"
  }, children) : /*#__PURE__*/React.createElement(React.Fragment, null, children);
};
const CustomModal = ({
  visible,
  modalControls,
  children,
  onRequestClose
}) => {
  return /*#__PURE__*/React.createElement(Modal, _extends({
    visible: visible,
    testID: "react-native-input-select-modal",
    transparent: true,
    animationType: "fade"
  }, modalControls?.modalProps), /*#__PURE__*/React.createElement(ModalContentWrapper, null, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onRequestClose,
    style: [styles.modalContainer, styles.modalBackgroundStyle, modalControls?.modalBackgroundStyle],
    "aria-label": "close modal"
  }, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
    accessible: false
  }, /*#__PURE__*/React.createElement(SafeAreaView, {
    style: [styles.modalOptionsContainer, modalControls?.modalOptionsContainerStyle],
    testID: "react-native-input-select-modal-body"
  }, children)))));
};
const styles = StyleSheet.create({
  modalContainer: {
    flex: 1,
    justifyContent: 'flex-end'
  },
  modalBackgroundStyle: {
    backgroundColor: 'rgba(0, 0, 0, 0.5)'
  },
  modalOptionsContainer: {
    maxHeight: '50%',
    backgroundColor: colors.white,
    borderTopLeftRadius: 16,
    borderTopRightRadius: 16,
    zIndex: 5
  }
});
export default CustomModal;
//# sourceMappingURL=index.js.map