function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React from 'react';
import { View, Text, Pressable, ScrollView, StyleSheet, Image, TouchableOpacity } from 'react-native';
import { colors } from '../../styles/colors';
import { inputStyles } from '../../styles/input';
const DropdownSelectedItemsView = ({
  placeholder,
  error,
  labelsOfSelectedItems,
  openModal,
  isMultiple,
  selectedItem,
  selectedItems,
  dropdownIcon,
  dropdownStyle,
  dropdownIconStyle,
  selectedItemStyle,
  placeholderStyle,
  multipleSelectedItemStyle,
  dropdownErrorStyle,
  primaryColor,
  disabled,
  setIndexOfSelectedItem
}) => {
  const openActions = label => {
    openModal();
    setIndexOfSelectedItem(label); // immediately scrolls to list item with the specified label when modal
  };
  return /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => openModal(),
    style: ({
      pressed
    }) => [pressed && {
      ...inputStyles.inputFocusState,
      borderColor: primaryColor
    }, {
      ...inputStyles.input,
      ...dropdownStyle
    }, error &&
    //this must be last
    error !== '' && !pressed && {
      ...inputStyles.inputFocusErrorState,
      ...dropdownErrorStyle
    }],
    disabled: disabled,
    "aria-disabled": disabled,
    testID: "react-native-input-select-dropdown-input-container"
  }, /*#__PURE__*/React.createElement(ScrollView, {
    horizontal: true,
    alwaysBounceHorizontal: true,
    showsHorizontalScrollIndicator: false
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.selectedItemsContainer,
    onStartShouldSetResponder: () => true
  }, isMultiple ? labelsOfSelectedItems?.map((label, i) => /*#__PURE__*/React.createElement(DropdownContent, {
    onPress: () => openActions(label),
    key: `react-native-input-select-list-item-${Math.random()}-${i}`,
    style: [styles.selectedItems, {
      backgroundColor: primaryColor
    }, multipleSelectedItemStyle],
    label: label,
    disabled: disabled
  })) : /*#__PURE__*/React.createElement(DropdownContent, {
    onPress: () => openActions(labelsOfSelectedItems),
    style: [styles.blackText, selectedItemStyle],
    label: labelsOfSelectedItems,
    disabled: disabled
  }), selectedItem === '' && selectedItems?.length === 0 && /*#__PURE__*/React.createElement(DropdownContent, {
    onPress: () => openModal(),
    style: [styles.blackText, placeholderStyle],
    label: placeholder ?? 'Select an option',
    disabled: disabled
  }))), /*#__PURE__*/React.createElement(View, {
    style: [styles.iconStyle, dropdownIconStyle]
  }, dropdownIcon || /*#__PURE__*/React.createElement(Image, {
    source: require('../../asset/arrow-down.png')
  })));
};
const DropdownContent = ({
  onPress,
  style,
  label,
  ...rest
}) => {
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    onPress: () => onPress()
  }, rest), /*#__PURE__*/React.createElement(Text, {
    style: style
  }, label));
};
const styles = StyleSheet.create({
  iconStyle: {
    position: 'absolute',
    right: 25,
    top: 25
  },
  selectedItemsContainer: {
    flexDirection: 'row',
    flexWrap: 'nowrap',
    alignItems: 'center'
  },
  selectedItems: {
    color: colors.white,
    paddingHorizontal: 10,
    paddingVertical: 5,
    borderRadius: 10,
    backgroundColor: colors.primary,
    marginRight: 10,
    overflow: 'hidden'
  },
  blackText: {
    color: colors.black
  }
});
export default DropdownSelectedItemsView;
//# sourceMappingURL=DropdownSelectedItemsView.js.map