function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
/* eslint-disable react-native/no-inline-styles */
import React, { useEffect, useRef } from 'react';
import { FlatList, StyleSheet } from 'react-native';
import DropdownListItem from '../Dropdown/DropdownListItem';
import { ItemSeparatorComponent, ListEmptyComponent } from '../Others';
const DropdownFlatList = ({
  options,
  optionLabel,
  optionValue,
  isMultiple,
  isSearchable,
  selectedItems,
  selectedItem,
  handleMultipleSelections,
  handleSingleSelection,
  primaryColor,
  checkboxControls,
  listComponentStyles,
  listIndex,
  emptyListMessage,
  listEmptyComponent,
  ...rest
}) => {
  const flatlistRef = useRef(null);
  const scrollToItem = index => {
    flatlistRef?.current?.scrollToIndex({
      index,
      animated: true
    });
  };
  useEffect(() => {
    if (listIndex.itemIndex >= 0) {
      scrollToItem(listIndex.itemIndex);
    }
  }, [listIndex]);
  const itemSeparator = () => /*#__PURE__*/React.createElement(ItemSeparatorComponent, {
    itemSeparatorStyle: listComponentStyles?.itemSeparatorStyle
  });
  return /*#__PURE__*/React.createElement(FlatList, _extends({
    testID: "react-native-input-select-flat-list",
    data: options,
    extraData: isMultiple ? selectedItems : selectedItem,
    initialNumToRender: 5,
    ListEmptyComponent: listEmptyComponent || /*#__PURE__*/React.createElement(ListEmptyComponent, {
      listEmptyComponentStyle: listComponentStyles?.listEmptyComponentStyle,
      emptyListMessage: emptyListMessage
    }),
    contentContainerStyle: [isSearchable ? {
      paddingTop: 0
    } : styles.contentContainerStyle],
    ItemSeparatorComponent: itemSeparator,
    renderItem: item => _renderItem(item, {
      optionLabel,
      optionValue,
      isMultiple,
      selectedOption: isMultiple ? selectedItems : selectedItem,
      onChange: isMultiple ? handleMultipleSelections : handleSingleSelection,
      scrollToItem,
      primaryColor,
      checkboxControls
    }),
    keyExtractor: (_item, index) => `Options${index}`,
    ref: flatlistRef,
    onScrollToIndexFailed: ({
      index
    }) => {
      setTimeout(() => {
        scrollToItem(index);
      }, 500);
    }
  }, rest));
};
const _renderItem = ({
  item
}, props) => {
  return /*#__PURE__*/React.createElement(DropdownListItem, {
    item: item,
    optionLabel: props.optionLabel,
    optionValue: props.optionValue,
    isMultiple: props.isMultiple,
    selectedOption: props.selectedOption,
    onChange: props.onChange,
    primaryColor: props.primaryColor,
    scrollToItem: props.scrollToItem,
    checkboxControls: props.checkboxControls
  });
};
const styles = StyleSheet.create({
  contentContainerStyle: {
    paddingTop: 20
  }
});
export default DropdownFlatList;
//# sourceMappingURL=DropdownFlatList.js.map