import { useState, useCallback } from 'react';
/**
 *
 * @description for scrollToIndex in Sectionlist and Flatlist
 */

export const useIndexOfSelectedItem = ({
  options,
  optionLabel,
  isSectionList
}) => {
  const [listIndex, setListIndex] = useState({
    itemIndex: -1,
    sectionIndex: -1
  });
  const setIndexOfSelectedItem = useCallback(selectedLabel => {
    if (isSectionList) {
      options.forEach((section, sectionIndex) => {
        const itemIndex = section.data.findIndex(item => item[optionLabel] === selectedLabel);
        if (itemIndex !== -1) {
          setListIndex({
            sectionIndex,
            itemIndex
          });
        }
      });
    } else {
      const itemIndex = options.findIndex(item => item[optionLabel] === selectedLabel);
      if (itemIndex !== -1) {
        setListIndex({
          itemIndex
        });
      }
    }
  }, [options, optionLabel, isSectionList]);
  return {
    listIndex,
    setListIndex,
    setIndexOfSelectedItem
  };
};
//# sourceMappingURL=use-index-of-selected-item.js.map