export const extractPropertyFromArray = (arr, property) => {
  let extractedValue = arr?.map(item => item[property]);
  return extractedValue;
};
export const escapeRegExp = text => {
  return text.replace(/[.*+?^${}()|[\]\\]/g, '\\$&');
};
export const removeDisabledItems = items => {
  return items?.filter(item => !item.disabled);
};
export const isSectionList = options => {
  return options.some(item => item.title && item.data && Array.isArray(item.data));
};

/**
 *
 * @description get the labels of the items that were selected from the options array for either multiple or single selections
 * @returns
 */
export const getLabelsOfSelectedItems = ({
  isMultiple,
  optionLabel,
  optionValue,
  selectedItem,
  selectedItems,
  modifiedOptions
}) => {
  // Multiple select
  if (isMultiple && Array.isArray(selectedItems)) {
    let selectedLabels = [];
    selectedItems?.forEach(element => {
      let selectedItemLabel = modifiedOptions?.find(item => item[optionValue] === element)?.[optionLabel];
      if (selectedItemLabel !== '') {
        selectedLabels.push(selectedItemLabel);
      }
    });
    return selectedLabels;
  }

  // Single select
  let selectedItemLabel = modifiedOptions?.find(item => item[optionValue] === selectedItem);
  return selectedItemLabel?.[optionLabel];
};
//# sourceMappingURL=index.js.map